<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@drawable/shape_161722_top_20"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/llYaoQingShangMic"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="15dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/llDownSeatMic"
        android:visibility="gone"
        tools:visibility="visible"
        android:orientation="vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivYaoQingShangMic"
            android:padding="10dp"
            android:src="@mipmap/ic_yao_qiing_shangmai"
            android:layout_width="50dp"
            android:layout_height="50dp"/>
        <TextView
            android:id="@+id/tvYaoQingShangMic"
            android:textColor="#fff"
            android:textSize="12dp"
            android:text="@string/on_mic"
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/llDownSeatMic"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="15dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toEndOf="@+id/llYaoQingShangMic"
        app:layout_constraintEnd_toStartOf="@+id/llLock"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivDownSeatMic"
            android:padding="10dp"
            android:src="@mipmap/ic_down_seat"
            android:layout_width="50dp"
            android:layout_height="50dp"/>
        <TextView
            android:id="@+id/tvDownSeatMic"
            android:textColor="#fff"
            android:textSize="12dp"
            android:text="@string/down_mic"
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/llLock"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="15dp"
        app:layout_constraintStart_toEndOf="@+id/llDownSeatMic"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/llUnlock"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivLock"
            android:padding="10dp"
            android:src="@mipmap/ic_lock"
            android:layout_width="50dp"
            android:layout_height="50dp"/>
        <TextView
            android:id="@+id/tvLock"
            android:textColor="#fff"
            android:textSize="12dp"
            android:text="@string/lock_mic"
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/llUnlock"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="15dp"
        app:layout_constraintStart_toEndOf="@+id/llLock"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/llMuteMic"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivUnlock"
            android:padding="10dp"
            android:src="@mipmap/ic_unlock"
            android:layout_width="50dp"
            android:layout_height="50dp"/>
        <TextView
            android:id="@+id/tvUnlock"
            android:textColor="#fff"
            android:textSize="12dp"
            android:text="@string/unlock_mic"
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>


    <LinearLayout
        android:id="@+id/llMuteMic"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="15dp"
        app:layout_constraintStart_toEndOf="@+id/llUnlock"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/llUnMuteMic"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivMuteMic"
            android:padding="10dp"
            android:src="@mipmap/live_mute"
            android:layout_width="50dp"
            android:layout_height="50dp"/>
        <TextView
            android:id="@+id/tvMuteMic"
            android:textColor="#fff"
            android:textSize="12dp"
            android:text="@string/close_mic"
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/llUnMuteMic"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="15dp"
        app:layout_constraintStart_toEndOf="@+id/llMuteMic"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivUnMuteMic"
            android:padding="10dp"
            android:src="@mipmap/live_unmute"
            android:layout_width="50dp"
            android:layout_height="50dp"/>
        <TextView
            android:id="@+id/tvUnMuteMic"
            android:textColor="#fff"
            android:textSize="12dp"
            android:text="@string/open_mic"
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>